name: CodeQL
on:
  schedule:
    - cron: 44 20 * * 6
env:
  JAVA_VERSION: 17
  JAVA_PACKAGE: jdk
  JAVA_ARCH: x64
  JAVA_DISTRO: temurin
  GRAAL_VERSION: latest
jobs:
  analyze:
    name: Analyze
    runs-on: ubuntu-latest
    strategy:
      fail-fast: false
      matrix:
        language: [ java ]
    steps:
    - name: Checkout repository
      uses: actions/checkout@v3
    - name: Setup GraalVM
      uses: graalvm/setup-graalvm@v1
      with:
        version: ${{ env.GRAAL_VERSION }}
        java-version: ${{ env.JAVA_VERSION }}
        components: native-image
        github-token: ${{ secrets.GITHUB_TOKEN }}
    - uses: actions/cache@v3
      with:
        path: ~/.m2/repository
        key: ${{ runner.os }}-maven-${{ hashFiles('**/pom.xml') }}
        restore-keys: |
          ${{ runner.os }}-maven-
    - name: Initialize CodeQL
      uses: github/codeql-action/init@v2
      with:
        languages: ${{ matrix.language }}
    - name: Autobuild
      uses: github/codeql-action/autobuild@v2
    - name: Perform CodeQL Analysis
      uses: github/codeql-action/analyze@v2
